Package es.imim.DISGENET.internal.enrichment

# Class GeneEnrichmentTaskFactory

java.lang.Object
org.cytoscape.task.AbstractNetworkViewTaskFactory
es.imim.DISGENET.internal.enrichment.GeneEnrichmentTaskFactory

All Implemented Interfaces:
  `org.cytoscape.task.NetworkViewTaskFactory`

public class GeneEnrichmentTaskFactory extends org.cytoscape.task.AbstractNetworkViewTaskFactory

## Constructor Summary

Constructors
Constructor
Description
`GeneEnrichmentTaskFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.work.TaskIterator`
`createTaskIterator(org.cytoscape.view.model.CyNetworkView cyNetworkView)`
`boolean`
`isReady(org.cytoscape.view.model.CyNetworkView cyNetworkView)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneEnrichmentTaskFactory

public GeneEnrichmentTaskFactory()

## Method Details

### createTaskIterator

public org.cytoscape.work.TaskIterator createTaskIterator(org.cytoscape.view.model.CyNetworkView cyNetworkView)

### isReady

public boolean isReady(org.cytoscape.view.model.CyNetworkView cyNetworkView)

Specified by:
  `isReady` in interface `org.cytoscape.task.NetworkViewTaskFactory`
Overrides:
  `isReady` in class `org.cytoscape.task.AbstractNetworkViewTaskFactory`